System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

lftp compile error readline-devel

DarrylM
Occasional Visitor

lftp compile error readline-devel

Hello.. I am tring to compile lftp on both HP-UX 11.11 and 11.23. However my problem is one I am not up on compiling and two HP support isnt must help.
I have a GNU c++ 4.4.0 and when comiling it errors out on readline stating readline-devel needs to be installed.. I can't seem to find the package anywhere nor can't I find a pre-compiled copy of lftp for hpux..
Can anyone help ???
Thanks
7 REPLIES
Steven Schweda
Honored Contributor

Re: lftp compile error readline-devel

> [...] I can't seem to find the package [...]

Interesting. I can't seem _not_ to find it.

A Google search for
GNU readline
found (among other things):
http://tiswww.case.edu/php/chet/readline/rltop.html

Note that a Google search for:
lftp
found:
http://lftp.yar.ru/
which offers a link ("[...] and uses readline
library for input [...]") to:
http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
Steven Schweda
Honored Contributor

Re: lftp compile error readline-devel

> [...] when comiling it errors out on
> readline stating readline-devel needs to be
> installed..

And, as usual, the actual command(s) used and
the actual error message(s) might be more
helpful than vague descriptions and
interpretations.

Knowing the version of lftp you're trying to
build might not hurt, either.
DarrylM
Occasional Visitor

Re: lftp compile error readline-devel

Sorry for the vague descriptions but here is a little more detailed info.

lftp.3.7.7

I was able to find and install readline 6.0 which was in a depot format.
For compiling from the lftp src I ran
./configure

But I still get the error stating readline-devel package needs to be installed.
Steven Schweda
Honored Contributor

Re: lftp compile error readline-devel

> Sorry for the vague descriptions but [...]

... that won't stop you from doing no better
in the future?

> I was able to find and install readline
> 6.0 which was in a depot format.

Which says what, exactly, about what was
installed where? Or even where you got
whatever it was you got? Perhaps some of the
psychics who follow this forum can glean more
from your aura than I can.

> But I still get the error stating [...]

Copy+paste doesn't work in your environment?

> ./configure

You may need to look at how this script tries
to detect the readline stuff to see why it's
unhappy.
DarrylM
Occasional Visitor

Re: lftp compile error readline-devel

Well all I asked was just a little help. I'm sorry if I was descriptive enough for some. But there still was need to be rude and a classic A-JEAK about it.. But I guess for you and your juvenile attempts to put someone down makes little stevie a happy little boy...
Thanks and have a good day...
Steven Schweda
Honored Contributor

Re: lftp compile error readline-devel

> [...] juvenile [...]

Perhaps I missed something here. Who was
calling whom names?

> Thanks and have a good day...

Same to you. I hope that you get more help
from other (more intuitive) sources.
Steven Schweda
Honored Contributor

Re: lftp compile error readline-devel

After building a current "readline" source
kit (and installing the product), I had no
problems building lftp 3.7.15 on my 11.31
IA64 system. Lots of compiler warnings, but
nothing fatal.

dyi # ./src/lftp --version
LFTP | Version 3.7.15 | Copyright (c) 1996-2009 Alexander V. Lukyanov
[...]
Send bug reports and questions to the mailing list .

Libraries used: Readline 6.0, libiconv 1.11


Of course, it's generally bewildered by a
VMS TCPIP FTP server, so my interest in it is
pretty low.